Summary:	A Python module for the MPEG Audio Decoder library
Summary(pl.UTF-8):	Moduł Pythona do biblioteki MPEG Audio Decoder
Name:		python-mad
Version:	0.6
Release:	4
License:	GPL
Group:		Libraries/Python
Source0:	http://spacepants.org/src/pymad/download/pymad-%{version}.tar.gz
# Source0-md5:	a1405fb4b610348565c8d0e400c5ff18
URL:		http://spacepants.org/src/pymad/
BuildRequires:	libmad-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.174
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pymad is a Python module that allows Python programs to use the MPEG
Audio Decoder library. pymad provides a high-level API, similar to the
pyogg module, which makes reading PCM data from MPEG audio streams a
piece of cake.

%description -l pl.UTF-8
pymad to moduł Pythona pozwalający programom w Pythonie używać
biblioteki MPEG Audio Decoder (dekodera dźwięku MPEG). pymad
udostępnia wysokopoziomowe API podobne do modułu pyogg, co czyni
odczyt danych PCM ze strumieni dźwiękowych MPEG bardzo łatwym.

%prep
%setup -q -n pymad-%{version}

%build
python config_unix.py \
	--prefix %{_prefix}
python setup.py config
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README NEWS THANKS
%doc test/*
%attr(755,root,root) %{py_sitedir}/madmodule.so
%{py_sitedir}/pymad-*.egg-info
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-mad.git;a=log;h=master

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 74df2a2
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d62bb19
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b4afb8b
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> de12615
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c17e45d
- converted to UTF-8

* Sun Jan 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 1d0e8a2
- updated to 0.6

* Sun Sep 03 2006 Patryk Zawadzki <patrys@room-303.com> 86eabf3
- rel up for new python

* Fri Sep 23 2005 Jacek Konieczny <jajcus@pld-linux.org> fccc722
- Version: 0.5.4

* Mon May 09 2005 Jakub Bogusz <qboosh@pld-linux.org> f0934fc
- pl

* Sun May 08 2005 Jacek Konieczny <jajcus@pld-linux.org> 207805f
- MD5 sum fixed

* Sun May 08 2005 Jacek Konieczny <jajcus@pld-linux.org> cd0bd5b
- Release: 1

* Sun May 08 2005 Jacek Konieczny <jajcus@pld-linux.org> d7cb81c
- bogus comment removed

* Sun May 08 2005 Jacek Konieczny <jajcus@pld-linux.org> 1a9089b
- new spec

